## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autochangelog
## END: Set by rpmautospec

Name:           cmus
Version:        2.10.0
Release:        5%{?dist}
Summary:        Ncurses-Based Music Player
License:        GPLv2+
URL:            https://cmus.github.io/
Source0:        https://github.com/cmus/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:         ffmpeg6.patch

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  pkgconfig(ncursesw)
BuildRequires:  pkgconfig(libdiscid)
BuildRequires:  libmpcdec-devel
BuildRequires:  pkgconfig(libcddb)
BuildRequires:  pkgconfig(libcdio_cdda)
BuildRequires:  pkgconfig(flac)
BuildRequires:  pkgconfig(mad)
BuildRequires:  pkgconfig(libmodplug)
BuildRequires:  pkgconfig(vorbisfile)
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  pkgconfig(opusfile)
BuildRequires:  pkgconfig(wavpack) >= 4.40
BuildRequires:  pkgconfig(libpulse) >= 0.9.19
BuildRequires:  pkgconfig(alsa) >= 1.0.11
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(samplerate)
BuildRequires:  pkgconfig(ao)
#BuildRequires:  libmp4v2-devel
#BuildRequires:  faad2-devel
BuildRequires:  pkgconfig(libavformat) pkgconfig(libavcodec)


%description
cmus is a small, fast and powerful console music player for Unix-like
operating systems


%prep
%autosetup -p1


%build
# custom script, not compatible with %%configure
./configure \
  prefix=%{_prefix} bindir=%{_bindir} datadir=%{_datadir} \
  libdir=%{_libdir} mandir=%{_mandir} \
  exampledir=%{_datadir}/%{name}/examples \
  CONFIG_AAC=n \
  CONFIG_ALSA=y \
  CONFIG_AO=y \
  CONFIG_ARTS=n \
  CONFIG_CDDB=y \
  CONFIG_CDIO=y \
  CONFIG_COREAUDIO=n \
  CONFIG_CUE=y \
  CONFIG_DISCID=y \
  CONFIG_FFMPEG=y \
  CONFIG_FLAC=y \
  CONFIG_JACK=y \
  CONFIG_MAD=y \
  CONFIG_MIKMOD=n \
  CONFIG_BASS=n \
  CONFIG_MODPLUG=y \
  CONFIG_MP4=n \
  CONFIG_MPC=y \
  CONFIG_MPRIS=y \
  CONFIG_OPUS=y \
  CONFIG_OSS=n \
  CONFIG_PULSE=y \
  CONFIG_ROAR=n \
  CONFIG_SAMPLERATE=y \
  CONFIG_SNDIO=n \
  CONFIG_SUN=n \
  CONFIG_TREMOR=n \
  CONFIG_VORBIS=y \
  CONFIG_VTX=n \
  CONFIG_WAV=y \
  CONFIG_WAVEOUT=n \
  CONFIG_WAVPACK=y \
  CFLAGS="${RPM_OPT_FLAGS}" \
  LDFLAGS="${RPM_LD_FLAGS}"

%make_build V=2


%install
# custom INSTALL command, not compatible with %%make_install
make install DESTDIR=%{buildroot}

mv %{buildroot}%{_datadir}/%{name}/examples .
chmod -x examples/*


%files
%doc AUTHORS examples
%license COPYING
%{_bindir}/cmus
%{_bindir}/cmus-remote
%{_libdir}/%{name}/
%{_datadir}/%{name}/
%{_mandir}/man1/cmus.1*
%{_mandir}/man1/cmus-remote.1*
%{_mandir}/man7/cmus-tutorial.7*


%changelog
* Sun Mar 12 2023 Yaakov Selkowitz <yselkowi@redhat.com> - 2.10.0-6
- Uncommitted changes

* Tue Feb 28 2023 Leigh Scott <leigh123linux@gmail.com> - 2.10.0-5
- fix

* Tue Feb 28 2023 Leigh Scott <leigh123linux@gmail.com> - 2.10.0-4
- Rebuild for new ffmpeg

* Wed Feb 08 2023 Leigh Scott <leigh123linux@gmail.com> - 2.10.0-3
- Rebuild for new flac

* Sun Aug 07 2022 Sérgio M. Basto <sergio@serjux.com> - 2.10.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild and
  ffmpeg 5.1

* Wed Jul 06 2022 Leigh Scott <leigh123linux@gmail.com> - 2.10.0-1
- Update to 2.10.0 release

* Mon May 09 2022 Sérgio M. Basto <sergio@serjux.com> - 2.9.1-6
- Remove libmp4v2 dependency

* Wed Feb 09 2022 Sérgio M. Basto <sergio@serjux.com> - 2.9.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Nov 11 2021 Leigh Scott <leigh123linux@gmail.com> - 2.9.1-4
- Rebuilt for new ffmpeg snapshot

* Mon Aug 02 2021 Leigh Scott <leigh123linux@gmail.com> - 2.9.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Feb 03 2021 Leigh Scott <leigh123linux@gmail.com> - 2.9.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Feb 01 2021 Leigh Scott <leigh123linux@gmail.com> - 2.9.1-1
- Update to 2.9.1 release

* Thu Dec 31 2020 Leigh Scott <leigh123linux@gmail.com> - 2.8.0-19
- Rebuilt for new ffmpeg snapshot

* Mon Aug 17 2020 Leigh Scott <leigh123linux@gmail.com> - 2.8.0-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sat Feb 22 2020 leigh123linux <leigh123linux@googlemail.com> - 2.8.0-17
- Rebuild for ffmpeg-4.3 git

* Tue Feb 04 2020 leigh123linux <leigh123linux@googlemail.com> - 2.8.0-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Tue Aug 06 2019 Leigh Scott <leigh123linux@gmail.com> - 2.8.0-15
- Rebuild for new ffmpeg version

* Wed Mar 27 2019 Leigh Scott <leigh123linux@googlemail.com> - 2.8.0-14
- Update to 2.8.0 release

* Mon Mar 04 2019 Leigh Scott <leigh123linux@googlemail.com> - 2.8.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Jul 26 2018 leigh123linux <leigh123linux@googlemail.com> - 2.8.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Mar 08 2018 leigh123linux <leigh123linux@googlemail.com> - 2.8.0-11
- Rebuilt for new ffmpeg snapshot

* Thu Mar 08 2018 leigh123linux <leigh123linux@googlemail.com> - 2.8.0-10
- Rebuilt for new ffmpeg snapshot

* Wed Feb 28 2018 Nicolas Chauvet <kwizart@gmail.com> - 2.8.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 18 2018 leigh123linux <leigh123linux@googlemail.com> - 2.8.0-8
- fix build with ffmpeg-3.5

* Thu Jan 18 2018 leigh123linux <leigh123linux@googlemail.com> - 2.8.0-7
- Rebuilt for ffmpeg-3.5 git

* Fri Sep 01 2017 leigh123linux <leigh123linux@googlemail.com> - 2.8.0-6
- Fix install issue

* Thu Aug 31 2017 Nicolas Chauvet <kwizart@gmail.com> - 2.8.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Apr 29 2017 leigh123linux <leigh123linux@googlemail.com> - 2.8.0-4
- Rebuild for ffmpeg update

* Sat Mar 18 2017 Nicolas Chauvet <kwizart@gmail.com> - 2.8.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Mar 01 2017 leigh123linux <leigh123linux@googlemail.com> - 2.8.0-2
- Enable MPRIS support

* Sun Dec 04 2016 leigh123linux <leigh123linux@googlemail.com> - 2.8.0-1
- Update to 2.8.0-rc0

* Tue Aug 16 2016 leigh123linux <leigh123linux@googlemail.com> - 2.7.1-4
- add some more build requires

* Tue Aug 16 2016 leigh123linux <leigh123linux@googlemail.com> - 2.7.1-3
- Fix hardening

* Wed Jul 27 2016 leigh123linux <leigh123linux@googlemail.com> - 2.7.1-2
- patch for newer ffmpeg

* Sun Mar 13 2016 Sérgio M. Basto <sergio@serjux.com> - 2.7.1-1
- Update to 2.7.1i with help of Markus Rothe.

* Sun Aug 31 2014 Sérgio M. Basto <sergio@serjux.com> - 2.5.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Mon Sep 30 2013 Nicolas Chauvet <kwizart@gmail.com> - 2.5.0-5
- * Mon Sep 30 2013 Nicolas Chauvet <kwizart@gmail.com> - 2.5.0-5 - Rebuilt

* Mon Sep 30 2013 Nicolas Chauvet <kwizart@gmail.com> - 2.5.0-4
- * Mon Sep 30 2013 Nicolas Chauvet <kwizart@gmail.com> - 2.5.0-4 - Rebuilt

* Thu Aug 15 2013 Nicolas Chauvet <kwizart@gmail.com> - 2.5.0-3
- * Thu Aug 15 2013 Nicolas Chauvet <kwizart@gmail.com> - 2.5.0-3 - Rebuilt
  for FFmpeg 2.0.x

* Sun May 26 2013 Nicolas Chauvet <kwizart@gmail.com> - 2.5.0-2
- * Sun May 26 2013 Nicolas Chauvet <kwizart@gmail.com> - 2.5.0-2 - Rebuilt
  for x264/FFmpeg

* Sun Dec 30 2012 Nicolas Chauvet <kwizart@gmail.com> - 2.5.0-1
- Update to 2.5.0

* Tue Feb 28 2012 Nicolas Chauvet <kwizart@gmail.com> - 2.4.2-5
- * Tue Feb 28 2012 Nicolas Chauvet <kwizart@gmail.com> - 2.4.2-4 - Rebuilt
  for x264/FFmpeg

* Wed Feb 08 2012 Nicolas Chauvet <kwizart@gmail.com> - 2.4.2-4
- * Wed Feb 08 2012 Nicolas Chauvet <kwizart@gmail.com> - 2.4.2-3 - Rebuilt
  for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Oct 03 2011 Nicolas Chauvet <kwizart@gmail.com> - 2.4.2-3
- Rebuilt for FFmpeg-0.8

* Tue Jul 26 2011 Conrad Meyer <konrad@tylerc.org> - 2.4.2-2
- Oops, remove unneeded patch.

* Tue Jul 26 2011 Conrad Meyer <konrad@tylerc.org> - 2.4.2-1
- * Tue Jul 26 2011 Conrad Meyer <konrad@tylerc.org> - 2.4.2-1 - Bump to
  latest version - Drop ffmpeg patch (fixed in 2.4.1+) - Fixes some bugs

* Wed May 11 2011 Conrad Meyer <konrad@tylerc.org> - 2.4.0-3
- Fix patch application

* Wed May 11 2011 Conrad Meyer <konrad@tylerc.org> - 2.4.0-2
- * Wed May 11 2011 Conrad Meyer <konrad@tylerc.org> - 2.4.0-2 - Include
  configure patch to find ffmpeg.

* Wed May 11 2011 Conrad Meyer <konrad@tylerc.org> - 2.4.0-1
- * Mon Apr 25 2011 Johannes Weißl <jargon@molb.org> - 2.4.0-1 - New
  upstream release.

* Mon Apr 25 2011 Conrad Meyer <konrad@tylerc.org> - 2.3.5-2
- fix typo in spec

* Mon Apr 25 2011 Conrad Meyer <konrad@tylerc.org> - 2.3.5-1
- * Wed Apr 20 2011 Johannes Weißl <jargon@molb.org> - 2.3.5-1 - New
  upstream release

* Tue Sep 28 2010 Conrad Meyer <konrad@tylerc.org> - 2.2.0-4
- bump for rebuild

* Sun Mar 29 2009 Thorsten Leemhuis <fedora@leemhuis.info> - 2.2.0-3
- * Sun Mar 29 2009 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> -
  2.2.0-4 - rebuild for new F11 features

* Mon Feb 16 2009 Conrad Meyer <konrad@tylerc.org> - 2.2.0-2
- Added (missing) BR on ncurses-devel.

* Mon Feb 16 2009 Conrad Meyer <konrad@tylerc.org> - 2.2.0-1
- Import.
